<?php
/**
 * @package   Grunge Template - RocketTheme
* @version   $Id: unsupported.php 28589 2015-06-22 20:27:09Z reggie $
* @author    RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2019 RocketTheme, LLC
* @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Grunge Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

// load and inititialize gantry class
require_once('lib/gantry/gantry.php');
$gantry->init();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>">
	<head>
	<?php 
	    $gantry->displayHead();
	    $gantry->addStyles(array('template.css','joomla.css'));
	  ?>
	</head>
	<body <?php echo $gantry->displayBodyTag(); ?>>
		<div class=="rt-container">
			<div id="rt-header">
				<div class="rt-grid-12 rt-alpha">
					<div class="centered"><a href="<?php echo $gantry->baseUrl; ?>" id="rt-logo"></a></div>
			  	</div>
			  	<div class="clear"></div>
			</div>
			<div class="rt-container">
				<div id="rt-body-surround-unsupported">
					<div class="rt-grid-12">
				    	<div class="rt-block"><div class="component-block">
				            <h1>Unsupported Browser</h1>
				            <p>We have detected that you are using Internet Explorer 7, a browser version that is not supported by this website. Internet Explorer 7 was released in October of 2006, and the latest version of IE7 was released in October of 2007.</p>
				            <p>Continuing to run IE7 leaves you open to any and all security vulnerabilities discovered since that date. In October 2013, Microsoft released version 11 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than versions 6-10 that came before it.</p>
				            <p>We suggest installing the <a href="http://www.microsoft.com/windows/internet-explorer/default.aspx">latest version of Internet Explorer</a>, or the latest version of these other popular browsers: <a href="http://www.mozilla.com/en-US/firefox/firefox.html">Firefox</a>, <a href="http://www.google.com/chrome">Google Chrome</a>, <a href="http://www.apple.com/safari/download/">Safari</a>, <a href="http://www.opera.com/">Opera</a></p>
				 		</div></div>
				 	</div>
				 	<div class="clear"></div>
				</div>
			</div>
		</div>
		<?php /** Begin Copyright **/ if ($gantry->countModules('copyright')) : ?>
		<div id="rt-footer-surround">
			<div id="rt-copyright" class="bottom-color">
				<div class="rt-container">
					<?php echo $gantry->displayModules('copyright','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
		</div>
		<?php /** End Copyright **/ endif; ?>
	</body>
</html>
<?php
$gantry->finalize();
?>